// info.rc.in
#if defined(__MINGW64__) || defined(__MINGW32__)
	// MinGW-w64, MinGW
	#if defined(__has_include) && __has_include(<winres.h>)
		#include <winres.h>
	#else
		#include <afxres.h>
		#include <winresrc.h>
	#endif
#else
	// MSVC, Windows SDK
	#include <winres.h>
#endif

#define VER_VERSION             @CMAKE_PROJECT_VERSION_MAJOR@,@CMAKE_PROJECT_VERSION_MINOR@,@CMAKE_PROJECT_VERSION_PATCH@,1
#define VER_VERSION_STR         "@CMAKE_PROJECT_VERSION_MAJOR@.@CMAKE_PROJECT_VERSION_MINOR@.@CMAKE_PROJECT_VERSION_PATCH@\0"
#define NAME_STR                "Univerxel\0"

#ifndef DEBUG
#define VER_DEBUG                   0
#else
#define VER_DEBUG                   VS_FF_DEBUG
#endif

VS_VERSION_INFO VERSIONINFO
FILEVERSION     VER_VERSION
PRODUCTVERSION  VER_VERSION
FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
FILEFLAGS       (VS_FF_PRERELEASE|VER_DEBUG)
FILEOS          VOS__WINDOWS32
FILETYPE        VFT_APP
FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE "CompanyName",      "Shu\0"
            VALUE "FileDescription",  NAME_STR
            VALUE "FileVersion",      VER_VERSION_STR
            VALUE "InternalName",     NAME_STR
            VALUE "LegalCopyright",   "MIT - Shu\0"
            VALUE "ProductName",      NAME_STR
            VALUE "ProductVersion",   VER_VERSION_STR
        END
    END

    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1252

    END
END